"use strict";
exports.__esModule = true;
exports.toBeAfterMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeAfterMatcher = function () {
    return {
        compare: function (value, otherDate) {
            var pass = expect_more_1.isAfter(otherDate, value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be an instance of Date, occurring after " + jest_matcher_utils_1.printExpected(otherDate)
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be an instance of Date, occurring after " + jest_matcher_utils_1.printExpected(otherDate);
            return { message: message, pass: pass };
        }
    };
};
exports.toBeAfterMatcher = toBeAfterMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeAfter: exports.toBeAfterMatcher
    });
});
