"use strict";
exports.__esModule = true;
exports.toBeArrayOfBooleansMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeArrayOfBooleansMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isArrayOfBooleans(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be a non-empty array, containing only boolean values"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be a non-empty array, containing only boolean values";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeArrayOfBooleansMatcher = toBeArrayOfBooleansMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeArrayOfBooleans: exports.toBeArrayOfBooleansMatcher
    });
});
