"use strict";
exports.__esModule = true;
exports.toBeArrayOfNumbersMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeArrayOfNumbersMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isArrayOfNumbers(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be a non-empty array, containing only numbers"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be a non-empty array, containing only numbers";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeArrayOfNumbersMatcher = toBeArrayOfNumbersMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeArrayOfNumbers: exports.toBeArrayOfNumbersMatcher
    });
});
