"use strict";
exports.__esModule = true;
exports.toBeArrayOfObjectsMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeArrayOfObjectsMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isArrayOfObjects(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be a non-empty array, containing only objects"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be a non-empty array, containing only objects";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeArrayOfObjectsMatcher = toBeArrayOfObjectsMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeArrayOfObjects: exports.toBeArrayOfObjectsMatcher
    });
});
