"use strict";
exports.__esModule = true;
exports.toBeArrayOfStringsMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeArrayOfStringsMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isArrayOfStrings(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be a non-empty array, containing only strings"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be a non-empty array, containing only strings";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeArrayOfStringsMatcher = toBeArrayOfStringsMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeArrayOfStrings: exports.toBeArrayOfStringsMatcher
    });
});
