"use strict";
exports.__esModule = true;
exports.toBeCalculableMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeCalculableMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isCalculable(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be coercible for use in mathemetical operations"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be coercible for use in mathemetical operations";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeCalculableMatcher = toBeCalculableMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeCalculable: exports.toBeCalculableMatcher
    });
});
