"use strict";
exports.__esModule = true;
exports.toBeDecimalNumberMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeDecimalNumberMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isDecimalNumber(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be a number with positive decimal places"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be a number with positive decimal places";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeDecimalNumberMatcher = toBeDecimalNumberMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeDecimalNumber: exports.toBeDecimalNumberMatcher
    });
});
