"use strict";
exports.__esModule = true;
exports.toBeDivisibleByMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeDivisibleByMatcher = function () {
    return {
        compare: function (value, otherNumber) {
            var pass = expect_more_1.isDivisibleBy(otherNumber, value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be divisible by " + jest_matcher_utils_1.printExpected(otherNumber)
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be divisible by " + jest_matcher_utils_1.printExpected(otherNumber);
            return { message: message, pass: pass };
        }
    };
};
exports.toBeDivisibleByMatcher = toBeDivisibleByMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeDivisibleBy: exports.toBeDivisibleByMatcher
    });
});
