"use strict";
exports.__esModule = true;
exports.toBeEmptyArrayMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeEmptyArrayMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isEmptyArray(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be an array containing no items"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be an array containing no items";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeEmptyArrayMatcher = toBeEmptyArrayMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeEmptyArray: exports.toBeEmptyArrayMatcher
    });
});
