"use strict";
exports.__esModule = true;
exports.toBeEmptyObjectMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeEmptyObjectMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isEmptyObject(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be an empty object"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be an empty object";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeEmptyObjectMatcher = toBeEmptyObjectMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeEmptyObject: exports.toBeEmptyObjectMatcher
    });
});
