"use strict";
exports.__esModule = true;
exports.toBeEmptyStringMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeEmptyStringMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isEmptyString(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be an empty string or empty instance of String"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be an empty string or empty instance of String";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeEmptyStringMatcher = toBeEmptyStringMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeEmptyString: exports.toBeEmptyStringMatcher
    });
});
