"use strict";
exports.__esModule = true;
exports.toBeEvenNumberMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeEvenNumberMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isEvenNumber(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be an even number"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be an even number";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeEvenNumberMatcher = toBeEvenNumberMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeEvenNumber: exports.toBeEvenNumberMatcher
    });
});
