"use strict";
exports.__esModule = true;
exports.toBeGeneratorFunctionMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeGeneratorFunctionMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isGeneratorFunction(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be a function using yield syntax."
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be a function using yield syntax.";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeGeneratorFunctionMatcher = toBeGeneratorFunctionMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeGeneratorFunction: exports.toBeGeneratorFunctionMatcher
    });
});
