"use strict";
exports.__esModule = true;
exports.toBeJsonStringMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeJsonStringMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isJsonString(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be a string of valid JSON"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be a string of valid JSON";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeJsonStringMatcher = toBeJsonStringMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeJsonString: exports.toBeJsonStringMatcher
    });
});
