"use strict";
exports.__esModule = true;
exports.toBeNumberMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeNumberMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isNumber(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be a valid number"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be a valid number";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeNumberMatcher = toBeNumberMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeNumber: exports.toBeNumberMatcher
    });
});
