"use strict";
exports.__esModule = true;
exports.toBeObjectMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeObjectMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isObject(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be an object"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be an object";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeObjectMatcher = toBeObjectMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeObject: exports.toBeObjectMatcher
    });
});
