"use strict";
exports.__esModule = true;
exports.toBeSameLengthAsMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeSameLengthAsMatcher = function () {
    return {
        compare: function (value, otherStringOrArray) {
            var pass = expect_more_1.isSameLengthAs(otherStringOrArray, value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be a string or array whose length is the same as that of " + jest_matcher_utils_1.printExpected(otherStringOrArray)
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be a string or array whose length is the same as that of " + jest_matcher_utils_1.printExpected(otherStringOrArray);
            return { message: message, pass: pass };
        }
    };
};
exports.toBeSameLengthAsMatcher = toBeSameLengthAsMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeSameLengthAs: exports.toBeSameLengthAsMatcher
    });
});
