"use strict";
exports.__esModule = true;
exports.toBeVisibleStringMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeVisibleStringMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isVisibleString(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be a string with at least one non-whitespace character"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be a string with at least one non-whitespace character";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeVisibleStringMatcher = toBeVisibleStringMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeVisibleString: exports.toBeVisibleStringMatcher
    });
});
