"use strict";
exports.__esModule = true;
exports.toBeWhitespaceMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toBeWhitespaceMatcher = function () {
    return {
        compare: function (value) {
            var pass = expect_more_1.isWhitespace(value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to be a string containing only whitespace characters"
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to be a string containing only whitespace characters";
            return { message: message, pass: pass };
        }
    };
};
exports.toBeWhitespaceMatcher = toBeWhitespaceMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toBeWhitespace: exports.toBeWhitespaceMatcher
    });
});
