"use strict";
exports.__esModule = true;
exports.toEndWithMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toEndWithMatcher = function () {
    return {
        compare: function (value, otherString) {
            var pass = expect_more_1.endsWith(otherString, value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to end with " + jest_matcher_utils_1.printExpected(otherString)
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to end with " + jest_matcher_utils_1.printExpected(otherString);
            return { message: message, pass: pass };
        }
    };
};
exports.toEndWithMatcher = toEndWithMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toEndWith: exports.toEndWithMatcher
    });
});
