"use strict";
exports.__esModule = true;
exports.toHaveArrayOfNumbersMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
var toHaveArrayOfNumbersMatcher = function () {
    return {
        compare: function (value, propPath) {
            var pass = expect_more_1.isArrayOfNumbers(get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to be a non-empty array, containing only numbers"
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to be a non-empty array, containing only numbers";
            return { message: message, pass: pass };
        }
    };
};
exports.toHaveArrayOfNumbersMatcher = toHaveArrayOfNumbersMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toHaveArrayOfNumbers: exports.toHaveArrayOfNumbersMatcher
    });
});
