"use strict";
exports.__esModule = true;
exports.toHaveArrayOfObjectsMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
var toHaveArrayOfObjectsMatcher = function () {
    return {
        compare: function (value, propPath) {
            var pass = expect_more_1.isArrayOfObjects(get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to be a non-empty array, containing only objects"
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to be a non-empty array, containing only objects";
            return { message: message, pass: pass };
        }
    };
};
exports.toHaveArrayOfObjectsMatcher = toHaveArrayOfObjectsMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toHaveArrayOfObjects: exports.toHaveArrayOfObjectsMatcher
    });
});
