"use strict";
exports.__esModule = true;
exports.toHaveAsyncFunctionMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
var toHaveAsyncFunctionMatcher = function () {
    return {
        compare: function (value, propPath) {
            var pass = expect_more_1.isAsyncFunction(get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to be a function using async/await syntax"
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to be a `Function` using async/await syntax";
            return { message: message, pass: pass };
        }
    };
};
exports.toHaveAsyncFunctionMatcher = toHaveAsyncFunctionMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toHaveAsyncFunction: exports.toHaveAsyncFunctionMatcher
    });
});
