"use strict";
exports.__esModule = true;
exports.toHaveEndingWithMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
var toHaveEndingWithMatcher = function () {
    return {
        compare: function (value, propPath, otherString) {
            var pass = expect_more_1.endsWith(otherString, get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to end with " + jest_matcher_utils_1.printExpected(otherString)
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to end with " + jest_matcher_utils_1.printExpected(otherString);
            return { message: message, pass: pass };
        }
    };
};
exports.toHaveEndingWithMatcher = toHaveEndingWithMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toHaveEndingWith: exports.toHaveEndingWithMatcher
    });
});
