"use strict";
exports.__esModule = true;
exports.toHaveEvenNumberMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
var toHaveEvenNumberMatcher = function () {
    return {
        compare: function (value, propPath) {
            var pass = expect_more_1.isEvenNumber(get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to be an even number"
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to be an even number";
            return { message: message, pass: pass };
        }
    };
};
exports.toHaveEvenNumberMatcher = toHaveEvenNumberMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toHaveEvenNumber: exports.toHaveEvenNumberMatcher
    });
});
