"use strict";
exports.__esModule = true;
exports.toHaveIso8601Matcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
var toHaveIso8601Matcher = function () {
    return {
        compare: function (value, propPath) {
            var pass = expect_more_1.isIso8601(get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to be a valid ISO 8601 date string"
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to be a valid ISO 8601 date string";
            return { message: message, pass: pass };
        }
    };
};
exports.toHaveIso8601Matcher = toHaveIso8601Matcher;
beforeAll(function () {
    jasmine.addMatchers({
        toHaveIso8601: exports.toHaveIso8601Matcher
    });
});
