"use strict";
exports.__esModule = true;
exports.toHaveNonEmptyArrayMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
var toHaveNonEmptyArrayMatcher = function () {
    return {
        compare: function (value, propPath) {
            var pass = expect_more_1.isNonEmptyArray(get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to be an array with at least one item"
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to be an array with at least one item";
            return { message: message, pass: pass };
        }
    };
};
exports.toHaveNonEmptyArrayMatcher = toHaveNonEmptyArrayMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toHaveNonEmptyArray: exports.toHaveNonEmptyArrayMatcher
    });
});
