"use strict";
exports.__esModule = true;
exports.toHaveNullMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
var toHaveNullMatcher = function () {
    return {
        compare: function (value, propPath) {
            var pass = expect_more_1.isNull(get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to be is null"
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to be is null";
            return { message: message, pass: pass };
        }
    };
};
exports.toHaveNullMatcher = toHaveNullMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toHaveNull: exports.toHaveNullMatcher
    });
});
