"use strict";
exports.__esModule = true;
exports.toHaveNumberNearMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
var toHaveNumberNearMatcher = function () {
    return {
        compare: function (value, propPath, otherNumber, epsilon) {
            var pass = expect_more_1.isNear(otherNumber, epsilon, get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to be within " + jest_matcher_utils_1.printExpected(epsilon) + " greater or less than " + jest_matcher_utils_1.printExpected(otherNumber)
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to be within " + jest_matcher_utils_1.printExpected(epsilon) + " greater or less than " + jest_matcher_utils_1.printExpected(otherNumber);
            return { message: message, pass: pass };
        }
    };
};
exports.toHaveNumberNearMatcher = toHaveNumberNearMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toHaveNumberNear: exports.toHaveNumberNearMatcher
    });
});
