"use strict";
exports.__esModule = true;
exports.toHaveOddNumberMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
var toHaveOddNumberMatcher = function () {
    return {
        compare: function (value, propPath) {
            var pass = expect_more_1.isOddNumber(get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to be an odd number"
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to be an odd number";
            return { message: message, pass: pass };
        }
    };
};
exports.toHaveOddNumberMatcher = toHaveOddNumberMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toHaveOddNumber: exports.toHaveOddNumberMatcher
    });
});
