"use strict";
exports.__esModule = true;
exports.toHaveStringMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
var toHaveStringMatcher = function () {
    return {
        compare: function (value, propPath) {
            var pass = expect_more_1.isString(get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to be a string"
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to be a string";
            return { message: message, pass: pass };
        }
    };
};
exports.toHaveStringMatcher = toHaveStringMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toHaveString: exports.toHaveStringMatcher
    });
});
