"use strict";
exports.__esModule = true;
exports.toHaveUndefinedMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
var toHaveUndefinedMatcher = function () {
    return {
        compare: function (value, propPath) {
            var pass = expect_more_1.isUndefined(get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to be undefined"
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to be undefined";
            return { message: message, pass: pass };
        }
    };
};
exports.toHaveUndefinedMatcher = toHaveUndefinedMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toHaveUndefined: exports.toHaveUndefinedMatcher
    });
});
