declare global {
    namespace jasmine {
        interface Matchers<T> {
            /**
             * Asserts that ${value} is a valid `String` containing at least one character which is not whitespace.
             * @example
             * expect({ child: { grandchild: 'i am visible' } }).toHaveVisibleString('child.grandchild');
             */
            toHaveVisibleString(propPath: string): boolean;
        }
    }
}
export declare const toHaveVisibleStringMatcher: () => {
    compare(value: any, propPath: string): {
        message: string;
        pass: boolean;
    };
};
