"use strict";
exports.__esModule = true;
exports.toHaveWhitespaceMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var get_in_1 = require("./lib/get-in");
var toHaveWhitespaceMatcher = function () {
    return {
        compare: function (value, propPath) {
            var pass = expect_more_1.isWhitespace(get_in_1.getIn(propPath.split('.'), value));
            var message = pass
                ? "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' not to be a string containing only whitespace characters"
                : "expected value at '" + jest_matcher_utils_1.printExpected(propPath) + "' to be a string containing only whitespace characters";
            return { message: message, pass: pass };
        }
    };
};
exports.toHaveWhitespaceMatcher = toHaveWhitespaceMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toHaveWhitespace: exports.toHaveWhitespaceMatcher
    });
});
