"use strict";
exports.__esModule = true;
exports.toStartWithMatcher = void 0;
var expect_more_1 = require("expect-more");
var jest_matcher_utils_1 = require("jest-matcher-utils");
var toStartWithMatcher = function () {
    return {
        compare: function (value, otherString) {
            var pass = expect_more_1.startsWith(otherString, value);
            var message = pass
                ? "expected " + jest_matcher_utils_1.printReceived(value) + " not to start with " + jest_matcher_utils_1.printExpected(otherString)
                : "expected " + jest_matcher_utils_1.printReceived(value) + " to start with " + jest_matcher_utils_1.printExpected(otherString);
            return { message: message, pass: pass };
        }
    };
};
exports.toStartWithMatcher = toStartWithMatcher;
beforeAll(function () {
    jasmine.addMatchers({
        toStartWith: exports.toStartWithMatcher
    });
});
